Subject: Various Replies

From: David Engel <[email-masked]>
Date: Wed, 1 Apr 92 13:24:37 CST

>From: [email-masked]
>vtty[1-N] (or ttyv[1-N]) second etc virtual terminals
>vtty (or ttyv) current virtual terminal
>
>This would seem more in tune with the tty naming (ie I'm currently using
>/dev/tty1, but /dev/tty is always the current tty).
>
>->tty0		first serial port, assigned by the user
>->tty[1-N]	other serial ports, assigned by the user
>
>I'm fairly easy on these:
>tty[a-d] seems fair (like Suns), but [0-3] is more in tune with the rest.

I'd be perfectly happy with something simple like tty[0-N] for virtual
consoles and tty[a-d] for serial ports.  However, someone mentioned the
possibility of smart serial cards with more than 4 serial ports.  Perhaps
we should just go with tty[a-d] and let those with smart cards devise 
there own naming scheme.

=========================================================================

>From: [email-masked]
> 
>I am not happy about the use of names such as hd2c for partition
>c of disk 2.  In particular, since the number of partitions on
>one disk currently allowed by the kernel is 60, this naming
>scheme cannot be carried out consistently.  I know some people
>will say that there is no practical chance of using more than
>26 partitions on a given disk, but I am not so sure.
> 
>With the increase in size of disks, and with the possibility of
>using small partitions for small bits of the file system, I think
>we ought not short sightedly choose a naming convention which
>is likely to be awkward in the mid-term future.

I'm not entirely happy with it either.  I'd prefer to have wd0[a-d] 
for primary partitions and something like wd0[a-d][0-9|a-z] for 
logical partitions, but the kernel doesn't number partitions that
way.

BTW, is anyone else concerned about how logical partitions are, in 
effect, dynamically numbered?  Creating or deleting a logical partitio, 
even for another OS, could potentially raise havoc with your Linux 
system by renumbering all of the logical partitions.

>What is wrong with the current /dev/hda3?  It may not be BSDish,
>but many existing Unixes are not.  And it does have the advantage
>of existing!

There's nothing really "wrong" with it.  I prefer wd0a (or hd0a) because
it's consistent with the other devices names (ie. multiple devices of
the same type are distinguished using a digit instead of a letter).

=========================================================================

>From: [email-masked]
> 
>This has a clean, tidy look, but there is a slight disadvantage:
>remembering which format code letter refers to a disk of a given
>size and density in a given drive.  Is it possible to suggest --
>just to prompt a reaction -- something like this:
> 
>     fd0d5   Drive 0, 5.25 inch disk, double density.
>     fd1q3   Drive 1, 3.5 inch disk, quad density.
>     fd0h3   Drive 0, 3.5 inch disk, high density.
 
Hmm, I think I like it.  But how about dropping the [35] part and 
just differentiate them by the density?  An install or makedev script
could ask the user whether the drive is 3.5" or 5.25" and setup the 
right minor device numbers.  Then we would have fd0[dqh] with fd0 
being the user-defined default (highest) density.

-David
-- 
David Engel                        Optical Data Systems, Inc.
[email-masked]                      1101 E. Arapaho Road
(214) 234-6400                     Richardson, TX  75081